Configure AWS Kinesis stream sink
curl --request POST \
--url http://sandbox.mintlify.com/streaming/kinesis \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"streamName": "<string>",
"region": "<string>",
"credentials": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>"
},
"enabled": true
}
'import requests
url = "http://sandbox.mintlify.com/streaming/kinesis"
payload = {
"streamName": "<string>",
"region": "<string>",
"credentials": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>"
},
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
streamName: '<string>',
region: '<string>',
credentials: {accessKeyId: '<string>', secretAccessKey: '<string>'},
enabled: true
})
};
fetch('http://sandbox.mintlify.com/streaming/kinesis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Streaming
Configure AWS Kinesis stream sink
Configure AWS Kinesis as a destination for streaming event data
POST
/
streaming
/
kinesis
Configure AWS Kinesis stream sink
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Kinesis configuration details
Response
200
Kinesis sink configured successfully
⌘I
